jQuery(document).ready(function($) {
	jQuery('.sf-menu').superfish({
			delay:0,
            speed:500,
            useClick:false,
            disableHI:   true,
            onHide: function(){

	            //$('.gum_mega').hide();
            }
            /*delay:       0,
            animation:   {opacity:'show',height:'show'},
            speed:       'fast',
            autoArrows:  true,
            dropShadows: true,*/
            /*disableHI:   true*/
        });

		/**
		* Responsive menu
		**/

		$(".gum-res-menu-trigger").click(function(e) {
			e.preventDefault();

			var fa = $(this).find(".fa");
			//open
			if(fa.hasClass("fa-bars")){
				fa.removeClass("fa-bars").addClass("fa-times");
				$("body").addClass("mobile-nav");
			}
			//close
			else if(fa.hasClass("fa-times")){
				fa.removeClass("fa-times").addClass("fa-bars");
				$("body").removeClass("mobile-nav");
			}
			$("#gum-responsive-sidebar-menu").toggleClass("active");
			//hide search button
			if($("#gum-responsive-sidebar-menu").hasClass("active")) $(".gum-res-search-trigger").hide();
			else $(".gum-res-search-trigger").show();
		 });

		$("#gum-responsive-sidebar-menu").find(".menu-item-has-children").each(function(){
			$(this).append("<span class='gum-mm-switch fa fa-angle-down'></span>");

		});
		$(document.body).on('click', '.gum-mm-switch', function(e) {
			var $this = $(this);
			var menuItemHasChildren = $(this).closest(".menu-item-has-children");

			menuItemHasChildren.children('ul.sub-menu').slideToggle("fast", function(){
		   	menuItemHasChildren.toggleClass('gum-nav-open', $(this).is(':visible'));

			});

		});
   	/**
		* Responsive search
	**/

	$(".gum-res-search-trigger").click(function(e) {
		e.preventDefault();

		var fa = $(this).find(".fa");
		//open
		if(fa.hasClass("fa-search")){
			fa.removeClass("fa-search").addClass("fa-times");
			$("body").addClass("mobile-nav");
		}
		//close
		else if(fa.hasClass("fa-times")){
			fa.removeClass("fa-times").addClass("fa-search");
			$("body").removeClass("mobile-nav");
		}

		$("#gum-responsive-sidebar-search").toggleClass("active");
		//hide menu button
		if($("#gum-responsive-sidebar-search").hasClass("active")){
			$(".gum-res-menu-trigger").hide();
			$('.res_ajax_search').focus();
		} 
		else $(".gum-res-menu-trigger").show();
	});

	jQuery('.gum-slider').slick({
		centerMode: true,
		  centerPadding: '60px',
		  slidesToShow: 3,
		  responsive: [
		    {
		      breakpoint: 768,
		      settings: {
		        arrows: false,
		        centerMode: true,
		        centerPadding: '40px',
		        slidesToShow: 3
		      }
		    },
		    {
		      breakpoint: 480,
		      settings: {
		        arrows: false,
		        centerMode: true,
		        centerPadding: '40px',
		        slidesToShow: 1
		      }
		    }
		  ]
	});

	jQuery('.gum-carousel').slick({
		centerMode: true,
		  centerPadding: '60px',
		  slidesToShow: 3,
		  responsive: [
		    {
		      breakpoint: 768,
		      settings: {
		        arrows: false,
		        centerMode: true,
		        centerPadding: '40px',
		        slidesToShow: 3
		      }
		    },
		    {
		      breakpoint: 480,
		      settings: {
		        arrows: false,
		        centerMode: true,
		        centerPadding: '40px',
		        slidesToShow: 1
		      }
		    }
		  ]
	});


	/*** Social Share ***/
	var templates = {
            twitter: 'https://twitter.com/intent/tweet?url={url}&text={text}',
            pinterest: 'https://www.pinterest.com/pin/create/button/?url={url}&description={text}',
            facebook: 'https://www.facebook.com/sharer.php?s=100&p[title]={title}&u={url}&t={title}&p[url]={url}',
            linkedin: 'https://www.linkedin.com/shareArticle?mini=true&url={url}&title={title}&summary={text}&source={url}',
            googleplus: 'https://plus.google.com/share?url={url}',
    };
	function link(site,options ){
        var url = templates[site];
        url = url.replace(/{url}/g, encodeURIComponent(options.url));
        url = url.replace(/{title}/g, encodeURIComponent(options.title));
        url = url.replace(/{text}/g, encodeURIComponent(options.text));
        url = url.replace(/{image}/g, encodeURIComponent(options.image));
        return url;
    }
    jQuery(".gum_post_share a").click(function(e) {
   		 e.preventDefault();
   		 var site = jQuery(this).data('site');
   		 var title = jQuery(this).data('title');
   		 var postUrl = jQuery(this).attr("href");
   		 var options = {title:title, text:title , url:postUrl, width:'600', height:'500'};

   		var url = link(site,options );

   		var screen_width = screen.width;
        var screen_height = screen.height;
        var popup_width = options.width ? options.width : (screen_width - (screen_width*0.2));
        var popup_height = options.height ? options.height : (screen_height - (screen_height*0.2));
        var left = (screen_width/2)-(popup_width/2);
        var top = (screen_height/2)-(popup_height/2);
        var parameters = 'toolbar=0,status=0,width=' + popup_width + ',height=' + popup_height + ',top=' + top + ',left=' + left;
        return window.open(url, '', parameters) && false;


	});

	if (jQuery(".gum-sticky-sidebar").length > 0) {
		if (jQuery('.gum-pb-content-area').length > 0) var sticky_content_class = '.gum-pb-content-area';
		else var sticky_content_class = '.content-area';
		if ( $( ".sticky_nav" ).length ) var additionalMargin = 50;
		else var additionalMargin = 10;
		jQuery(sticky_content_class + ', .gum-sticky-sidebar').theiaStickySidebar({
	      // Settings
	      additionalMarginTop: additionalMargin
	    });
	}
    
	if ( $( ".sticky_nav" ).length ) {
		var previousScroll = 0,
			headerClass= '.sticky_nav';
		headerOrgOffset = $(headerClass).offset().top;
		
		window.setTimeout(function(){ 
			
			jQuery('#masthead').height(jQuery('#masthead').height());
		}, 2000);
		
		$(window).scroll(function() {
			var currentScroll = $(this).scrollTop();
			
			if(currentScroll > headerOrgOffset) {
			    if (currentScroll > previousScroll) {
			        //$('#header').fadeOut();
			        $(headerClass).removeClass('gum-navfixed');
			    } else {
			        //$('#header').fadeIn();
			        $(headerClass).addClass('gum-navfixed');
			    }
			} else {
			     $(headerClass).removeClass('gum-navfixed');   
			}
			previousScroll = currentScroll;
		});
	}
	
	if ($(window).width() > 769 && $('body').hasClass('single')) {
		// Adjust sidebar height 
		 var sidebar_wrapper = ".gum-sidebar-wrapper";
		if (jQuery(sidebar_wrapper).length > 0) {
			if (jQuery('.gum-page-section').length > 0) var content_class = '.gum-page-section';
			else var content_class = '.content-area';
			
			$(sidebar_wrapper).each(function(i, obj) {
			    if($(obj).closest('.gum-sticky-sidebar').length > 0){}
			    else{
				    var parentRow = obj.closest('.gum-row');
					var contentArea = $(parentRow).find(content_class);
					if($(obj).height() < contentArea.height()) $(obj).css({'min-height':contentArea.height()+'px'});
				}
			});
		
		}

	}	
	
});


 	
//Window Load Scripts
jQuery(window).load(function($) {

 	
});