<?php

/**
 * Theme demo config 
 */

// Define demo files Path
define('DEMO_FILES_PATH', __DIR__);

class DemoConfig {

    //Set theme options name here (key used to save theme options)
    const option_name = 'bloom_demo_theme';


    // Home page title that you want to assign as Default front page
    const home_page_title = 'Home Page';


    // Menus to Import and assign - format array('location' => 'Menu name')
    const menus = array(
        'primary' => 'Primary Nav'
    );

    // Set demo button text to show in panel
    const demoButtonText = 'Install';

    // Show text if demo is already installed
    const buttonTextAlreadyInstall = 'Import Again';

    // Success message once demo is installed
    const success_message = 'Demo import successfully';

    // Set Multi demo for this theme
    const demos = array(
        array(
            Demo::name => 'Demo 1',
            Demo::des => 'This is bloom demo',
            Demo::imageSrc => 'https://www.w3schools.com/html/pic_trulli.jpg',
            Demo::previewLink => 'http://google.com',
            Demo::path => 'demo1'
        ),
        array(
            Demo::name => 'Demo 2',
            Demo::des => 'This is bloom demo2',
            Demo::imageSrc => 'https://www.w3schools.com/html/pic_trulli.jpg',
            Demo::previewLink => 'http://google.com',
            Demo::path => 'demo2'
        )
    );

}