<?php
	/*** Post settings ****/
$sidebar_options = array();
$sidebar_options['default'] = "Default";


$gum_post_settings = [];
$gum_post_settings['post_type'] = array('post');
$gum_post_settings['context'] = 'advanced'; //normal, advanced, and side.
$gum_post_settings['box_title'] = __('Post settings', 'bloom-gumtheme');
$gum_post_settings['box_id'] = 'gum_post_setting_box';
$gum_post_settings['wrapper_class'] = '';
$gum_post_settings['fields'] =array(
	array(
		'id' => 'gum_single_post_template',
		'input_type'=>'image_radio',
		'label'=>'Post template',
		'value'=>"",
		'wrapper_class' => 'gum_single_post_template',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" => get_template_directory_uri().'/framework/img/default.png'),
			array("val" => "style1", "image" => get_template_directory_uri().'/framework/img/post-style1.png'),
			array("val" => "style2", "image" =>  get_template_directory_uri().'/framework/img/post-style-2.png'),

		),
		'desc'=> "Default option fallbacks to theme options setting.",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>false
	),

	array(
		'id' => 'gum_single_post_sidebar_position',
		'input_type'=>'image_radio',
		'label'=>'Sidebar position',
		'value'=>"",
		'wrapper_class' => 'gum_single_post_sidebar_position',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" =>  get_template_directory_uri().'/framework/img/default.png'),
			array("val" => "right", "image" =>  get_template_directory_uri().'/framework/img/sidebar-right2.png'),
			array("val" => "left", "image" => get_template_directory_uri().'/framework/img/sidebar-left.png'),
			array("val" => "none", "image" => get_template_directory_uri().'/framework/img/sidebar-none.png'),

		),
		'desc'=> "Default option fallbacks to theme options setting.",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_post_sidebar',
		'input_type'=>'select',
		'label'=>'Sidebar',
		'value'=>"",
		'wrapper_class' => 'gum_post_sidebar_wrapper',
		'label_class' => '',
		'input_class'=>"gum_input_small dynamic_sidebar",
		'select_options' =>$sidebar_options,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),

	array(
		'id' => 'gum_post_subheading',
		'input_type'=>'textarea',
		'label'=>'Subheading',
		'value'=>"",
		'wrapper_class' => 'gum_post_subheading_wrapper',
		'label_class' => '',
		'input_class'=>"",
		'desc'=> "This will appear below title",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_post_source_name',
		'input_type'=>'text',
		'label'=>'Source Name',
		'value'=>"",
		'wrapper_class' => 'gum_post_source_wrapper',
		'label_class' => '',
		'input_class'=>"",
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_post_source_url',
		'input_type'=>'text',
		'label'=>'Source Url',
		'value'=>"",
		'wrapper_class' => 'gum_post_source_url_wrapper',
		'label_class' => '',
		'input_class'=>"",
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_post_via_name',
		'input_type'=>'text',
		'label'=>'Via Name',
		'value'=>"",
		'wrapper_class' => 'gum_post_via_name_wrapper',
		'label_class' => '',
		'input_class'=>"",
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_post_via_url',
		'input_type'=>'text',
		'label'=>'Via url',
		'value'=>"",
		'wrapper_class' => 'gum_post_via_url_wrapper',
		'label_class' => '',
		'input_class'=>"",
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),



);
new Gum_Meta_Fields($gum_post_settings);
