<?php
	$sections['theme_colors_general']['theme_color'] = array(
		'label' => 'Theme Color',
		'id' => 'theme_color',
		'value' => "",
		'input_type' => 'colorpicker',
		'default_color' => '#ff9ca9',
		'wrapper_class' => '',
		'label_class' => '',
		'input_class' => '',
		'desc' => 'This color will be used to highlight as a theme basic color.',
		'placeholder' =>'',
		'apply_to' => array(
			'background-color' => '
									.right-aligned button,
									.blocks-title .inner-title .span,
									.img-holder .tag ul li,
									.sector .side-pannels .newsletter .btn-default,
									.sf-menu .gum-post-cat li,
									body.single-post .gum-single-post .cat-links .post-categories li,
									.widget_tag_cloud .tagcloud a,
									body.single-post .comments-area .comment-body .reply a,
									body.single-post .gum-single-post .comments-area .comment-form .form-submit .submit,
									.gum_search_link a,
		body header .main-menu-wrapper .sf-menu .gum_mega .gum-menu-pagi-wrapper .gum_megamenu_pagination li:hover a,
		.gum-slider_1-wrapper .gum_slider_1 button.slick-arrow:hover,
		.widget ul.gum-post-cat li,
		.gum-grid-block-title .gum_cat_filter_dropdown button:hover,
		.gum-grid-block-title .gum_cat_filter_dropdown .dropdown-menu > li > a:focus,
		div.main .sector .pagination li a:hover,
		.gum-grid-block-wrapper .gum_block_pagi_loadmore li,
		.small-posts .post .tag ul li,
		.gum-single-post footer .post-social-share .gum_post_share .gum_s_icon:hover,
		.block4-image-holder ul li,
		.sector .gum-sidebar .newsletter .btn-default,
		.sector .gum-sidebar .follow-us ul li a:hover,
		.gum-post-cat li,
		.comments-area #respond form p input',

			'border-color' => '.right-aligned button,
						body.single-post .comments-area #respond textarea:focus,
						body.single-post .comments-area #respond input:focus,
						.sector .gum-sidebar .newsletter .form-group .form-control:focus',

			'color' => '.small-posts .post ul li i,
						.description-posts .post .fa-calendar,
						.sector .latest .box .content ul li i,
						.slide .content ul li i,
						.search_container .search_results .small-posts .post h2 a:hover,
						.main-menu-wrapper .sf-menu .gum_mega .gum-menu-block-wrapper .gum-menu-block .gum-block-data .gum-block-post-title a:hover,
						div.main .sector .side-pannels .ctg-list ul li a:hover span,
						div.main .small-posts .post h2 a:hover,
						.gum-grid-block-wrapper .gum-grid-block-title .gum_cat_filter_list ul li a.active,
						.gum-grid-block-wrapper .gum-grid-block-title .gum_cat_filter_list ul li a:hover,
						body div.gum-grid-block-wrapper .description-posts .post h2 a:hover,
						.slide .content h2 a:hover,
						.widget .gum-block-5-wrapper .gum-block-data h2 a:hover,
						.gum-cat-wrapper .gum-cat-block_1 .post .gum-read-more:hover,
						.gum-cat-block_3 .img-holder h2 a:hover,
						.gum-cat-block_3 .gum-read-more:hover,
						.gum-single-post header .single-post-meta .pull-left span i,
						.gum-single-post header .single-post-meta .pull-right i,
						.gum-block:hover h2 a,
						.small-block-lists li i,
						.small-posts .post:hover h2 a,
						.small-posts .post:hover .h2 a,
						.gum-responsive-header .gum-res-menu-trigger-wrapper .gum-res-menu-trigger,
						.gum-responsive-header .gum-res-search-trigger-wrapper .gum-res-search-trigger,
						.gum-responsive-header .gum-res-logo a,
						body .gum-star-rating-count,
						.gum-grid-block-title .gum_cat_filter_dropdown .dropdown-menu > li > a:hover,
						.ctg-list ul li a:hover,
						footer .main-footer-wrapper .widget .gum-block-2-wrapper .gum-block-2 .gum-block-data h2 a:hover'

	),
		'horizontal_field' => true,
	);
	$sections['theme_colors_general']['cat_text_color'] = array(
		'label' => 'Category text Color',
		'id' => 'cat_text_color',
		'value' => "",
		'input_type' => 'colorpicker',
		'default_color' => '#fff',
		'wrapper_class' => '',
		'label_class' => '',
		'input_class' => '',
		'desc' => 'This color will be used to highlight category Text.',
		'placeholder' =>'',
		'apply_to' => array(
			'color' => '.sf-menu .gum-post-cat li a,
						.main-menu-wrapper .sf-menu .gum_mega .gum-menu-block-wrapper .gum-menu-block .gum-post-cat li a,
						.main-menu-wrapper .sf-menu .gum_mega .gum-menu-block-wrapper .gum-menu-block .gum-post-cat li a:visited,
						.small-posts .post .tag ul li a,
						.widget_tag_cloud .tagcloud a,
						.block4-image-holder ul li a,
						.gum-post-cat li a'

		),
		'horizontal_field' => true,
	);
