<?php
	/**
		* General Header
	*/

	$sections['header_settings']['gen_heading'] = array(
		'label' => 'Header Settings',
		'id' => 'gen_heading',
		'input_type' => 'heading',
		'desc' => '',
	);
	$sections['header_settings']['header_style'] = array(
		'id' => 'header_style',
		'input_type'=>'image_radio',
		'label'=>'Header Style',
		'value'=>"style2",
		'wrapper_class' => 'header_style',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" => get_template_directory_uri().'/framework/img/header/header-style1.png'),
			array("val" => "style2", "image" => get_template_directory_uri().'/framework/img/header/header-style2.png'),
			array("val" => "style3", "image" => get_template_directory_uri().'/framework/img/header/header-style3.png'),
		),
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['header_settings']['dev_top_menu_open'] = array(
				'id' => 'dev_top_menu_open',
				'input_type' => 'div_open',
				'wrapper_class' => 'section_light',
	);
	$sections['header_settings']['top_menu_heading'] = array(
				'label' => 'Top bar settings',
				'id' => 'top_menu_heading',
				'input_type' => 'heading',
	 			'desc' => 'In this section you can control top bar elements',
	);

	$sections['header_settings']['show_top_menu'] = array(
				'label' => 'Show top bar',
				'id' => 'show_top_bar',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'show hide top menu.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['header_settings']['show_top_menu_date'] = array(
				'label' => 'Show date',
				'id' => 'show_top_menu_date',
				'value' => 0,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['header_settings']['top_menu_date_format'] = array(
				'label' => 'Date format',
				'id' => 'top_menu_date_format',
				'value' => '',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'default l, jS F Y. You can read more <a href="https://codex.wordpress.org/Formatting_Date_and_Time">here</a>.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['header_settings']['show_social_icons'] = array(
				'label' => 'Show social icons',
				'id' => 'show_social_icons',
				'value' => 0,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['header_settings']['dev_top_menu_close'] = array(
				'id' => 'dev_top_menu_close',
				'input_type' => 'div_close',
	);
	$sections['header_settings']['slidein_menu_heading'] = array(
				'label' => 'Slide-In sidebar settings',
				'id' => 'slidein_menu_heading',
				'input_type' => 'heading',
	 			'desc' => 'In this section you can control top bar elements',
	);

	$sections['header_settings']['show_slidein_bar'] = array(
				'label' => 'Enable Slide-in Menu',
				'id' => 'show_slidein_bar',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'show hide slide menu.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['header_settings']['show_slidesocial_icons'] = array(
				'label' => 'Show slide social icons',
				'id' => 'show_slidesocial_icons',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['header_settings']['top_menu_heading_2'] = array(
				'label' => 'Nav bar settings',
				'id' => 'top_menu_heading_2',
				'input_type' => 'heading',
	 			'desc' => '',
	);
	$sections['header_settings']['sticky_navbar'] = array(
				'label' => 'Sticky Navbar',
				'id' => 'sticky_navbar',
				'value' => 0,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Enable sticky navigation bar',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);


	