<?php

/***** Register Widgets *****/

function gum_register_about_widget() {
	register_widget('gum_about_widget');
}
add_action('widgets_init', 'gum_register_about_widget');


class gum_about_widget extends WP_Widget {

	public $fields = array(
						array(
							'id' => 'title',
							'html_id' => 'title',
							'input_type'=>'text',
							'label'=>'Title',
							'value'=>"About me",
							'wrapper_class' => 'gum_title',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'about_text',
							'html_id' => 'about_text',
							'input_type'=>'textarea',
							'label'=>'About Me',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'read_more_text',
							'html_id' => 'read_more_text',
							'input_type'=>'text',
							'label'=>'Read more text',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'read_more_link',
							'html_id' => 'read_more_link',
							'input_type'=>'text',
							'label'=>'Read more link',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' =>'',
				 			'tag' => 'div',
				 			'input_type'=>'div_open',
				 			'title' => 'Image',
				 			'inner_div' => true,
			 			),
						array(
							'id' => 'image_url',
							'html_id' => 'image_url',
							'input_type'=>'text',
							'label'=>'Image',
							'value'=>"",
							'wrapper_class' => 'gum_about_sites',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "Add full image url here.",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'image_link',
							'html_id' => 'image_link',
							'input_type'=>'text',
							'label'=>'Image link',
							'value'=>"",
							'wrapper_class' => 'gum_about_sites',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "Add image link",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' =>'',
				 			'tag' => 'div',
				 			'input_type'=>'div_close',
				 			'inner_div' => true,
						),

						array(
							'id' =>'',
				 			'tag' => 'div',
				 			'input_type'=>'div_open',
				 			'title' => 'Social',
				 			'inner_div' => true,
			 			),
						array(
							'id' => 'facebook_link',
							'html_id' => 'facebook_link',
							'input_type'=>'text',
							'label'=>'Facebook',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'twitter_link',
							'html_id' => 'twitter_link',
							'input_type'=>'text',
							'label'=>'Twitter',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'instagram_link',
							'html_id' => 'instagram_link',
							'input_type'=>'text',
							'label'=>'Instagram',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'linkedin_link',
							'html_id' => 'linkedin_link',
							'input_type'=>'text',
							'label'=>'Linkedin',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'youtube_link',
							'html_id' => 'youtube_link',
							'input_type'=>'text',
							'label'=>'Youtube',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'googleplus_link',
							'html_id' => 'googleplus_link',
							'input_type'=>'text',
							'label'=>'Google plus',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' => 'pinterest_link',
							'html_id' => 'pinterest_link',
							'input_type'=>'text',
							'label'=>'Pinterest',
							'value'=>"",
							'wrapper_class' => '',
							'label_class' => '',
							'input_class'=>"",
							'desc'=> "",
							'error_message'=> "",
							'validate' => '',
							'process' => "",
							'horizontal_field'=>false
						),
						array(
							'id' =>'',
				 			'tag' => 'div',
				 			'input_type'=>'div_close',
				 			'inner_div' => true,
						),

					);
    function __construct() {
        $widget_ops = array('classname' => 'gumtheme_about_me', 'description' => __('', 'bloom-gumtheme'));
        parent::__construct('gum-about', __('GumThemes - About', 'bloom-gumtheme'), $widget_ops);
    }
    function widget($args, $instance) {
		extract($args);
		if(!empty($before_widget)) echo $before_widget;

		Gum_widget_html::about($this->fields, $instance);

       if(!empty($after_widget))  echo $after_widget;
    }
    function update($new_instance, $old_instance) {

        $instance = $old_instance;
		foreach($this->fields as $field){
			$raw_id = $field['id'];
			$field['id'] = $this->get_field_name($field['id']);

			if(isset($new_instance[$raw_id])) $instance[$raw_id] = $new_instance[$raw_id];
		}

        return $instance;
    }
    function form($instance) {

       //$instance = wp_parse_args((array) $instance, $defaults);

		foreach($this->fields as $field){

			if(!empty($instance[$field['id']])) $field['value'] = $instance[$field['id']];

			$meta_object = $field['input_type'];

			$field['id'] = $this->get_field_name($field['id']);
			$field['html_id'] = $this->get_field_id($field['id']);

			echo Gum_Be_Widget_Html::$meta_object($field);
		}

    }
}