<?php

define("GUM_CUSTOM_CSS_FILE", 'gum-bloom-style.css');
define("GUM_CUSTOM_CSS_OPTION", 'gum_custom_css_bloom');

/* theme options */
define("GUM_THEME_OPTIONS_KEY", "gum_theme_bloom_options");
define("GUM_THEME_GEN_CSS_TRANS", "gum_theme_bloom_gen_css");
define("GUM_THEME_GOOGLEFONT", "gum_theme_bloom_googlefont");

/** Mega menu settings */
define("GUM_MEGAMENU_POST_BY_CAT_LIMIT", 3);
$mage_menu_settings = array();
$mage_menu_settings['image_size'] = array('default' => 'gum_350X210','style_1' => 'gum_350X210');

//theme_options set as preset
$default_theme_options = [
	'show_top_bar' => 1,
];

// used to register sidebars
function gum_sidebars(){
	$sidebars = array(
		array('name' => 'Default Sidebar', 'id' => 'sidebar-1', 'wrapper_class'=>'', 'title_class'=>'widget-title', "tag"=>"aside"),
		array('name' => 'Post Sidebar', 'id' => 'gumtheme-sidebar-post', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Post Sidebar-2', 'id' => 'gumtheme-sidebar-post-2', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Post Sidebar-3', 'id' => 'gumtheme-sidebar-post-3', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Page Sidebar', 'id' => 'gumtheme-sidebar-page', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Page Sidebar-2', 'id' => 'gumtheme-sidebar-page-2', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Page Sidebar-3', 'id' => 'gumtheme-sidebar-page-3', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Homepage Sidebar', 'id' => 'gumtheme-sidebar-homepge', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Homepage Sidebar 2', 'id' => 'gumtheme-sidebar-homepge-2', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Homepage Sidebar 3', 'id' => 'gumtheme-sidebar-homepge-3', 'wrapper_class'=>'', 'title_class'=>'', "tag"=>"aside"),
		array('name' => 'Footer 1', 'id' => 'gumtheme-footer-1', 'wrapper_class'=>'gum_footer_widget', 'title_class'=>'footer-widget-title', "tag"=>"div"),
		array('name' => 'Footer 2', 'id' => 'gumtheme-footer-2', 'wrapper_class'=>'gum_footer_widget', 'title_class'=>'footer-widget-title', "tag"=>"div"),
		array('name' => 'Footer 3', 'id' => 'gumtheme-footer-3', 'wrapper_class'=>'gum_footer_widget', 'title_class'=>'footer-widget-title', "tag"=>"div"),
	);

	return $sidebars;
}
