<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>

<?php
global $custom_css, $gumtheme_options;
if(!empty($custom_css) && strlen($custom_css) > 3){
	echo '<style media="all">';
	echo $custom_css;
	echo "</style>\n";
}
echo (!empty($gumtheme_options['custom_css'])) ? "<style>".$gumtheme_options['custom_css']."</style> \n" : '';
echo (!empty($gumtheme_options['js_header'])) ? "<script>".stripslashes_deep( $gumtheme_options['js_header'])."</script> \n" : '';

?>
</head>

<body <?php body_class(); ?>>

	<?php
		if(!class_exists('Gum_html')) echo '<div class="container"><div class="alert alert-danger">'.__('Gumthemes plugin is required to function this theme. Please install Gumthemes plugin. You can download it from your Gumthemes.com account.', 'bloom-gumtheme').'</div></div>';
	?>

	<div id="gum-responsive-header" class="gum-responsive-header visible-xs">
    	<div class="gum-res-menu-trigger-wrapper pull-left">
    		<a href="#" class="gum-res-menu-trigger"><i class="fa fa-bars" aria-hidden="true"></i></a>
     	</div><!-- gum-res-menu-trigger-wrapper -->
     	<?php Gum_theme_html::mobile_logo(); ?>
		<?php Gum_theme_html::mobile_search(); ?>
	    <div class="clearfix"></div>
		<?php Gum_theme_html::mobile_menu(); ?>

	</div><!-- #gum-responsive-header -->

     <header id="masthead" itemscope="itemscope" itemtype="http://schema.org/WPHeader" class="hidden-xs">
		<?php Gum_theme_html::gum_header(); ?>
    </header>
	<div class="main">
