<?php
/**
 * The sidebar containing the main widget area.
 *
 * @package bloom
 */

global $gumtheme_options;


$gum_sidebar_id = Gum_html::get_single_post_sidebar_id();
if(empty($gum_sidebar_id) || (isset($gum_sidebar_id) && $gum_sidebar_id == 'default')) $gum_sidebar_id = 'sidebar-1';

if ( ! is_active_sidebar( $gum_sidebar_id ) ) {
	return;
}
$sticky_class='';
$sticky_class = (!empty($gumtheme_options[$gum_sidebar_id.'_sticky']))? ' sticky-sidebars' : '';
?>

<div id="secondary" class="side-pannels widget-area col-md-12 col-lg-4 gum-sidebar-wrapper" role="complementary">
	<div class="gum-sidebar <?php echo $sticky_class; ?>">
		<?php dynamic_sidebar( $gum_sidebar_id ); ?>
	</div><!-- .gum-sidebar -->
</div><!-- #secondary -->
