<?php
	/*** Review field ****/
//$review_enable = array('no'=>'No', 'star'=>'Star', "percentage" => "Percentage", "points" => "Points");
$review_enable = array('no'=>'No', 'star'=>'Star');

$review_fields['post_type'] = array('post');
$review_fields['context'] = 'advanced'; //normal, advanced, and side.
$review_fields['box_title'] = 'Review';
$review_fields['box_id'] = 'gum_post_review_box';
$review_fields['wrapper_class'] = '';
$review_fields['fields'] =array(
	array(
		'id' => 'gum_is_review_post',
		'input_type'=>'select', 
		'label'=>'Enable Review', 
		'value'=>"", 
		'wrapper_class' => 'gum_is_review_post_wrapper',
		'label_class' => '',
		'input_class'=>"gum_input_small", 
		'select_options' =>$review_enable, 
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_review_wrapper_div',
		'input_type'=>'div_open', 
		'wrapper_class' => 'gum_review_wrapper_div',
	),
	array(
		'id' => 'gum_review_heading',
		'input_type'=>'text', 
		'label'=>'Review Heading', 
		'value'=>"Review", 
		'desc'=> "",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"", 
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>false
	),
	array(
		'id' => 'gum_post_review',
		'input_type'=>'gum_review_field', 
		'label'=>'Review', 
		'value'=>"", 
		'wrapper_class' => 'gum_post_review_wrapper',
		'label_class' => '',
		'input_class'=>"", 
		'desc'=> "",
		'no_filter' => true,
		'error_message'=> "",
		'validate' => '',
		'process' => "process_review",
		'horizontal_field'=>true
	),
	array(
		'id' => 'gum_post_review_total',
		'input_type'=>'text', 
		'label'=>'Total',
		'readonly'=>true,  
		'value'=>"", 
		'desc'=> "",
		'no_filter' => true,
		'error_message'=> "",
		'validate' => '',
		'process' => "",
	),
	array(
		'id' => 'gum_review_desc_heading',
		'input_type'=>'text', 
		'label'=>'Review Description Heading', 
		'value'=>"Summary", 
		'desc'=> "",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"", 
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>false
	),
	array(
		'id' => 'gum_post_review_desc',
		'input_type'=>'textarea', 
		'label'=>'Review Description', 
		'value'=>"", 
		'desc'=> "",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"", 
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'no_filter' => true,
	),
	array(
		'id' => 'gum_review_wrapper_div_close',
		'input_type'=>'div_close', 
	),

	
);
new Gum_Meta_Fields($review_fields);
