<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

function register_sidebar_1() {
    global $grid_attributes;

    register_block_type( 'gum/sidebar-1', array(
        'attributes' => $grid_attributes,
        'render_callback' => 'gum_render_sidebar_html',
    ) );
}
add_action('init', 'register_sidebar_1');

function gum_render_sidebar_html( $attributes ) {
    global $other_mapping;

    $options = [
    'dynamic_element_type' => '_sidebar',
    'id' => '',
    'gum_grid_title' =>'', 
    'gum_grid_title_link' => '',
    'posts_per_page' => 5,
    'post_sort_by' => '',
    'gum_post_offset' => '',
    'category_id' => 0,
    'select_sidebar' => 0,
    'multi_cat_filter' => '', 
    'multi_tag_filter' => '',
    'multi_author_filter' => '',
    'post_type_filter' => '',
    'gum_ajax_filter_type'=>'none',
    'ajax_cat_filter' => '',
    'ajax_cat_filter_default_text' => 'All',
    'gum_grid_pagination' => '',
    'className' => '',
    'block_id' => ''
    ];
    foreach($options as $key=>$value){
        if(!empty($attributes[$key])) $options[$key] = $attributes[$key];
    }
    foreach($other_mapping as $js_key => $option_key){
        if(!empty($attributes[$js_key])) $options[$option_key] = $attributes[$js_key];
    }

    $data =  gum_html::sidebar_html($options);

	
	if(!empty($data['html'])) return $data['html'];

}