<?php
	/**
		* General Footer
	*/
	global $gumtheme_socialmedia;
	
	$sections['footer_settings']['gen_heading'] = array(
				'label' => 'Footer Settings',
				'id' => 'gen_heading',
				'input_type' => 'heading',
	 			'desc' => '',
	);

	$sections['footer_settings']['show_footer'] = array(
				'label' => 'Show footer',
				'id' => 'show_footer',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'You can enable or disable footer section using this option.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['footer_settings']['disable_footer_mobile'] = array(
				'label' => 'Disable footer on Mobile?',
				'id' => 'disable_footer_mobile',
				'value' => 0,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'You can enable or disable footer section only on mobile devices using this option.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['footer_settings']['footer_style'] = array(
		'id' => 'footer_style',
		'input_type'=>'image_radio',
		'label'=>'Footer Style',
		'value'=>"default",
		'wrapper_class' => 'header_style',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" => get_template_directory_uri().'/framework/img/footer/footer-style1.png'),
			array("val" => "style2", "image" => get_template_directory_uri().'/framework/img/footer/footer-style2.png'),
			array("val" => "style3", "image" => get_template_directory_uri().'/framework/img/footer/footer-style3.png'),
			array("val" => "style4", "image" => get_template_directory_uri().'/framework/img/footer/footer-style4.png'),

		),
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['footer_settings']['footer_logo_div'] = array(
				'id' => 'footer_logo_div',
				'input_type' => 'div_open',
				'wrapper_class' => 'section_light',
	);
	$sections['footer_settings']['footer_heading'] = array(
				'label' => 'Sub-footer settings',
				'id' => 'footer_heading',
				'input_type' => 'heading',
	 			'desc' => '',
	);
	$sections['footer_settings']['show_subfooter'] = array(
				'label' => 'Show sub-footer',
				'id' => 'show_subfooter',
				'value' => 1,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'You can enable or disable sub-footer section using this option.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['footer_settings']['footer_copyright'] = array(
				'label' => 'Footer copyright text',
				'id' => 'footer_copyright',
				'value' => '',
				'input_type' => 'text',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class' => '',
				'desc' => "",
				'placeholder' =>'',
				'horizontal_field' => true,
		);
	$sections['footer_settings']['footer_logo_div_close'] = array(
				'id' => 'footer_logo_div_close',
				'input_type' => 'div_close',
	);
	
	$sections['footer_settings']['footer_heading_3'] = array(
				'label' => 'Footer content',
				'id' => 'footer_heading_3',
				'input_type' => 'heading',
	 			'desc' => '',
	);
	$sections['footer_settings']['footer_background'] = array(
				'label' => 'Footer Background Image',
				'id' => 'footer_background',
				'value' => '',
				'input_type' => 'upload_image',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Footer Background',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['footer_settings']['footer_logo_heading'] = array(
				'label' => 'Footer Heading',
				'id' => 'footer_logo_heading',
				'value' => '',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Heading above logo',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['footer_settings']['footer_logo'] = array(
				'label' => 'Footer logo',
				'id' => 'footer_logo',
				'value' => '',
				'input_type' => 'upload_image',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Footer logo',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);
	$sections['footer_settings']['footer_logo_title_text'] = array(
				'label' => 'Logo title attribute',
				'id' => 'footer_logo_title_text',
				'value' => '',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Logo image title text',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['footer_settings']['footer_logo_alt_text'] = array(
				'label' => 'Logo alt attribute',
				'id' => 'footer_logo_alt_text',
				'value' => '',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Logo image alt text',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['footer_settings']['footer_content_text'] = array(
				'label' => 'Footer Text',
				'id' => 'footer_content_text',
				'value' => '',
				'input_type' => 'textarea',
				'wrapper_class' => '',
				'label_class' => '',
				'input_class' => '',
				'desc' => "",
				'placeholder' =>'',
				'horizontal_field' => true,
		);
		
	$sections['footer_settings']['footer_email'] = array(
				'label' => 'Email address',
				'id' => 'footer_email',
				'value' => '',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['footer_settings']['footer_show_social'] = array(
				'label' => 'Show social icons',
				'id' => 'footer_show_social',
				'value' => 0,
				'input_type' => 'input_switch',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,

	);

	$sections['footer_settings']['footer_insta'] = array(
				'id' => 'footer_insta',
				'input_type' => 'div_open',
				'wrapper_class' => 'section_light',
	);
	$sections['footer_settings']['insta_heading'] = array(
				'label' => 'Footer Instagram',
				'id' => 'insta_heading',
				'input_type' => 'heading',
	 			'desc' => '',
	);
	if(empty($gumtheme_socialmedia['instagram_username']) || empty($gumtheme_socialmedia['instagram_access_token'])){
		
		$sections['footer_settings']['insta_desc'] = array(
				'text' => "To enable instagram widget, please add Instagram username and access token on 'Social Sites' page.",
				'id' => 'insta_desc',
				'input_type' => 'desc',
	 			'class' => 'alert alert-danger',
	 	);
	}
	else {
		$sections['footer_settings']['footer_insta_enable'] = array(
					'label' => 'Show Instagram feed',
					'id' => 'footer_insta_enable',
					'value' => 0,
					'input_type' => 'input_switch',
					'wrapper_class' => '',
		 			'label_class' => '',
		 			'input_class' => '',
		 			'desc' => '',
		 			'placeholder' =>'',
		 			'horizontal_field' => true,
	
		);
		/*$sections['footer_settings']['footer_insta_feed'] = array(
			'label' => 'Feed',
			'id' => 'footer_insta_feed',
			'input_type'=>'select',
			'value'=>"default",
			'default' => 'yes',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"",
			'select_options' =>array( 'user' => 'User', 'tagged' => 'Tagged', 'location' => 'Location'),
			'desc'=> "Select a feed to fetch.",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
	
	
		);
		$sections['footer_settings']['footer_insta_feed_tagname'] = array(
					'label' => 'Tag',
					'id' => 'footer_insta_feed_tagname',
					'value' => '',
					'input_type' => 'text',
					'wrapper_class' => '',
		 			'label_class' => '',
		 			'input_class' => '',
		 			'desc' => 'Add tag here if you have selected "Tagged" option for the feed.',
		 			'placeholder' =>'',
		 			'horizontal_field' => true,
		);
		$sections['footer_settings']['footer_insta_feed_locationId'] = array(
					'label' => 'Location ID',
					'id' => 'footer_insta_feed_locationId',
					'value' => '',
					'input_type' => 'text',
					'wrapper_class' => '',
		 			'label_class' => '',
		 			'input_class' => '',
		 			'desc' => 'Add unique id of a location to get if you have selected "Location" option for the feed.',
		 			'placeholder' =>'',
		 			'horizontal_field' => true,
		);
		$sections['footer_settings']['footer_insta_feed_userid'] = array(
					'label' => 'User ID',
					'id' => 'footer_insta_feed_userid',
					'value' => 'self',
					'input_type' => 'text',
					'wrapper_class' => '',
		 			'label_class' => '',
		 			'input_class' => '',
		 			'desc' => 'Add unique id of a user to get if you have selected "User" option for the feed.',
		 			'placeholder' =>'',
		 			'horizontal_field' => true,
		);*/
		$sections['footer_settings']['footer_insta_sort'] = array(
			'label' => 'Sort By',
			'id' => 'footer_insta_sort',
			'input_type'=>'select',
			'value'=>"default",
			'default' => 'yes',
			'wrapper_class' => '',
			'label_class' => '',
			'input_class'=>"",
			'select_options' =>array('none' => 'None (As they come from Instagram)', 'most-recent' => 'Most Recent', 'least-recent' => 'Least Recent', 'most-liked' => 'Most Liked', 'most-commented' => 'Most Commented', 'random'=> 'Random'),
			'desc'=> "Select a feed to fetch.",
			'error_message'=> "",
			'validate' => '',
			'process' => "",
			'horizontal_field'=>true
	
	
		);
	}
	$sections['footer_settings']['footer_insta_close'] = array(
				'id' => 'footer_insta_close',
				'input_type' => 'div_close',
	);
	
