<?php
	/**
		* Category layout settings
	*/

	$yes_no = array("default" => 'Default', 'no' => "No", 'yes' => "Yes");
	$pagination = array(
		"default"=>'Default',
		"standard" => "Standard Pagination",
		"load_more" => "Load more",
		"infinite" => "Infinite scroll"
	);	

	$sections['category_global_settings']['show_cat_top_post_grid'] = array(
		'id' => 'show_cat_top_post_grid',
		'input_type'=>'select',
		'label'=>'Show top grid',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	);


	$sections['category_global_settings']['cat_top_post_style'] = array(
		'id' => 'cat_top_post_style',
		'input_type'=>'image_radio',
		'label'=>'Category top post style',
		'value'=>"",
		'wrapper_class' => 'cat_top_post_style_wrapper',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "full_grid_1", "image" =>  get_template_directory_uri().'/framework/img/pb/full-grid1.png'),
			array("val" => "full_grid_2", "image" => get_template_directory_uri().'/framework/img/pb/full-grid2.png'),
			array("val" => "slider_1", "image" =>  get_template_directory_uri().'/framework/img/pb/carousle-multi.png'),
			array("val" => "latest_posts_html", "image" =>  get_template_directory_uri().'/framework/img/pb/latest-grid-post.png'),

			array("val" => "posts_grid_1", "image" => get_template_directory_uri().'/framework/img/pb/post-grid1.png'),
			array("val" => "posts_grid_2", "image" => get_template_directory_uri().'/framework/img/pb/post-grid2.png'),
			array("val" => "posts_grid_3", "image" => get_template_directory_uri().'/framework/img/pb/post-grid3.png'),
		),
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true

	);

	$sections['category_global_settings']['cat_post_listing'] = array(
		'id' => 'cat_post_listing',
		'input_type'=>'image_radio',
		'label'=>'Posts Listing',
		'value'=>"default",
		'wrapper_class' => 'gum_single_post_template',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "block_1", "image" => get_template_directory_uri().'/framework/img/default.png'),
			array("val" => "block_1", "image" => get_template_directory_uri().'/framework/img/block/block1.png'),
			array("val" => "block_5", "image" =>  get_template_directory_uri().'/framework/img/block/block2.png'),
			array("val" => "block_3", "image" =>  get_template_directory_uri().'/framework/img/block/block3.png'),
			array("val" => "fullGrid_block_1", "image" => get_template_directory_uri().'/framework/img/block/full-grid-block-1.png'),


		),
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	);

	$sections['category_global_settings']['cat_sidebar_position'] =  array(
		'id' => 'cat_sidebar_position',
		'input_type'=>'image_radio',
		'label'=>'Category sidebar position',
		'value'=>"",
		'wrapper_class' => 'cat_sidebar_position_wrapper',
		'label_class' => '',
		'input_class'=>"",
		'options' => array(
			array("val" => "default", "image" =>  get_template_directory_uri().'/framework/img/sidebar-default.png'),
			array("val" => "left", "image" => get_template_directory_uri().'/framework/img/sidebar-left.png'),
			array("val" => "none", "image" => get_template_directory_uri().'/framework/img/sidebar-none.png'),

		),
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	);


	$sections['category_global_settings']['cat_title_length'] = array(
				'label' => 'Title Length',
				'id' => 'cat_title_length',
				'value' => '12',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['category_global_settings']['cat_show_excerpt'] = array(
		'label' => 'Show Excerpt',
		'id' => 'cat_show_excerpt',
		'input_type'=>'select',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['category_global_settings']['cat_show_name'] = array(
		'label' => 'Show category name tag',
		'id' => 'cat_show_name',
		'input_type'=>'select',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['category_global_settings']['cat_1_dev'] = array(
				'id' => 'cat_1_dev',
				'input_type' => 'div_open',
				'wrapper_class' => 'section_light',
	);
	$sections['category_global_settings']['cat_show_date'] = array(
		'label' => 'Show post publish date',
		'id' => 'cat_show_date',
		'input_type'=>'select',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['category_global_settings']['cat_date_type'] = array(
				'label' => 'Date type',
				'id' => 'cat_date_type',
				'value' => 'custom_date',
				'input_type' => 'select',
				'select_options' => $date_format,
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);


	$sections['category_global_settings']['cat_date_format'] = array(
				'label' => 'Custom date format',
				'id' => 'cat_date_format',
				'value' => 'M d, Y',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => 'Posts date format. You can read more <a href="https://codex.wordpress.org/Formatting_Date_and_Time">here</a>.',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);
	$sections['category_global_settings']['cat_post_date_pretext'] = array(
				'label' => 'Date Pretext',
				'id' => 'cat_post_date_pretext',
				'value' => 'On',
				'input_type' => 'text',
				'wrapper_class' => '',
	 			'label_class' => '',
	 			'input_class' => '',
	 			'desc' => '',
	 			'placeholder' =>'',
	 			'horizontal_field' => true,
	);

	$sections['category_global_settings']['cat_1_dev_close'] = array(
				'id' => 'cat_1_dev_close',
				'input_type' => 'div_close',
	);
	$sections['category_global_settings']['cat_show_author'] = array(
		'label' => 'Show author name',
		'id' => 'cat_show_author',
		'input_type'=>'select',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['category_global_settings']['cat_show_views'] = array(
		'label' => 'Show view count',
		'id' => 'cat_show_views',
		'input_type'=>'select',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['category_global_settings']['cat_show_likes'] = array(
		'label' => 'Show likes count',
		'id' => 'cat_show_likes',
		'input_type'=>'select',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true


	);
	$sections['category_global_settings']['cat_show_comment_count'] = array(
		'label' => 'Show comment count',
		'id' => 'cat_show_comment_count',
		'input_type'=>'select',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$yes_no,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	);

	$sections['category_global_settings']['cat_sidebar'] =  array(
		'id' => 'cat_sidebar',
		'input_type'=>'category',
		'label'=>'Category Sidebar',
		'value'=>"",
		'wrapper_class' => 'cat_sidebar_wrapper',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>'',
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	);

	$sections['category_global_settings']['cat_pagination'] = array(
		'id' => 'cat_pagination',
		'input_type'=>'select',
		'label'=>'Pagination',
		'value'=>"default",
		'wrapper_class' => '',
		'label_class' => '',
		'input_class'=>"gum_input_small",
		'select_options' =>$pagination,
		'desc'=> "",
		'error_message'=> "",
		'validate' => '',
		'process' => "",
		'horizontal_field'=>true
	);
