<?php
/**
 * Gum_theme_html calss - theme header footer html.
 * @author Gumthemes.com
 */
class Gum_theme_html{

	public static function site_header_default(){
		global $gumtheme_options;
		?>

		<?php 
         	if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1) 
         		self::slidein_menu(); 
         ?>

		<div class="gum-header-style1 <?php echo (!empty($gumtheme_options['show_slidein_bar']))? ' gum-slidein-enabled' : '';?>">
			<div class="top-bar <?php echo (!empty($gumtheme_options['sticky_navbar']))? 'sticky_nav':''; ?>">		
	        <div class="header-content container">
	           <div class="row no-gutters">
	           		
	           		<div class="col-md-12 col-lg-9 pos-intial">
					   <?php  
				if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1) 
					echo self::slidein_menu_button1(); 
				?>	   
					   <?php Gum_theme_html::header_main_nav(); ?></div>
	           		<div class="col-lg-3 topbar-search_wrapper">
	           			<div class="gum_search_icon" data-width="top-menu-wrapper">
							<i class="fa fa-search" aria-hidden="true"></i>
						</div><!-- search_icon -->
						<?php echo Gum_theme_html::header_social_links(0); ?>
	           		</div>
	           		<?php echo self::header_search_link();?>
	           </div>
	       </div>
	       </div>
	        <?php Gum_theme_html::header_logo(); ?>
	        			
		</div><!-- .gum-header-style1 -->
		<?php
	}

	public static function site_header_style2(){
		global $gumtheme_options;
		?>
		<?php 
         	if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1) 
         		self::slidein_menu(); 
         ?>
		<div class="gum-header-style2 <?php echo (!empty($gumtheme_options['show_slidein_bar']))? ' gum-slidein-enabled' : '';?>">
        <div class="header-content container">
           <div class="row no-gutters">
           		<div class="col-lg-3 col-md-12 col-sm-12">
           			<?php Gum_theme_html::header_logo(); ?>
           		</div>
           		<div class="col-lg-9 col-md-12 col-sm-12">
           			<div class="nav-se-wrapper <?php echo (!empty($gumtheme_options['sticky_navbar']))? 'sticky_nav':''; ?>">
           				
           			<div class="container">
           			<?php Gum_theme_html::header_main_nav(); ?>
           			<div class="gum_search_icon" data-width="top-menu-wrapper">
						<i class="fa fa-search" aria-hidden="true"></i>
					</div><!-- search_icon -->
					<?php  
				if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1) 
					echo self::slidein_menu_button2(); 
				?> 
					<?php 
						if(!empty($gumtheme_options['sticky_navbar'])){
							echo self::header_search_link();
						}
					?>
					</div>
					</div>
				<?php 
					if(empty($gumtheme_options['sticky_navbar']))
						echo self::header_search_link();
				?> 
           		</div>           		          		
           </div>           
        </div>	      	        			
		</div><!-- .gum-header-style2 -->
		<?php
	}
	public static function site_header_style3(){
		global $gumtheme_options;
		?>
		<?php 
         	if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1) 
         		self::slidein_menu(); 
         ?>
		<div class="gum-header-style3 <?php echo (!empty($gumtheme_options['show_slidein_bar']))? ' gum-slidein-enabled' : '';?>">
			<div class="top-bar-logo-wrapper1 container">
				<div class="row no-gutters">
					<div class="col-md-6"><?php Gum_theme_html::header_logo(); ?></div>
					<div class="col-md-6"><?php echo Gum_theme_html::header_social_links(0); ?></div>
				</div>
			</div>
			<div class="top-bar <?php echo (!empty($gumtheme_options['sticky_navbar']))? 'sticky_nav':''; ?>">		
	        <div class="header-content container">
	           <div class="row no-gutters">
	           		<?php Gum_theme_html::header_main_nav(); ?>	           		
           			<div class="gum_search_icon" data-width="top-menu-wrapper">
						<i class="fa fa-search" aria-hidden="true"></i>
					</div><!-- search_icon -->
					<?php  
				if(!empty($gumtheme_options['show_slidein_bar']) && $gumtheme_options['show_slidein_bar'] == 1) 
					echo self::slidein_menu_button2(); 
				?> 		
	           		<?php echo self::header_search_link();?>
	           </div>
	       </div>
	       </div>	        			
		</div><!-- .gum-header-style2 -->
		<?php
	}

	public static function gum_header(){
		 global $gumtheme_options;
		 if(empty($gumtheme_options['header_style'])) $header_style = 'default';
		 else  $header_style = $gumtheme_options['header_style'];

		 $func_header_style = "site_header_".$header_style;

		 Gum_theme_html::$func_header_style();

	}
	public static function slidein_menu_button1(){

		$html = '<div class="gum-slidein-menu-icon-wrapper"><a id="" class="gum-slidein-menu-toggle top"><i class="fa fa-align-left"></i></a></div>';

		return $html;
	}
	
	public static function slidein_menu_button2(){

		$html = '<div class="gum-slidein-menu-icon-wrapper"><a id="" class="gum-slidein-menu-toggle top"><i class="fa fa-align-right"></i></a></div>';

		return $html;
	}
	public static function slidein_menu(){
		global $gumtheme_options;
		$logo_src='';
		
		if(!empty($gumtheme_options['slide_menu_logo']) && strlen($gumtheme_options['slide_menu_logo']) > 3)
			$logo_src='<img class="slide-menu-logo" src="'.$gumtheme_options['slide_menu_logo'].'" alt="slide_menu_logo">';

		
		?>

		<div id="gum-slidein-menu" class="background-dark slide-navigation-right ">
			<?php echo $logo_src; ?>
			<div class="gum-slidein-inner">
				<a id="gum-sm-in-toggle-menu" class="gum-slidein-menu-close"><i class="fa fa-times"></i></a>

		<?php
   		if ( has_nav_menu( 'slidein' ) ) {
			 	$arg = array(
				'theme_location'  => 'slidein',
				'container_class' => 'menu-mobile-menu-container',
				'container_id'    => '',
				'menu_class'      => 'slidein-menu mobilemenu',
				'menu_id'         => 'mobilemenu',
			);

			wp_nav_menu( $arg );
		}
		?>

		</div><!-- gum-slidein-inner -->
			<?php echo self::header_social_links(1);?>
		</div><!-- gum-slidein-menu -->
	<?php
	}
	public static function header_social_links_with_search(){
		global $gumtheme_options;
		ob_start();
		?>
		<div class="search-social-wrapper">
			<div class="gum_search_icon" data-width="top-menu-wrapper">
				<i class="fa fa-search" aria-hidden="true"></i>
			</div><!-- search_icon -->
			<div class="top-social">	                	
				<?php if(!empty($gumtheme_options['show_social_icons'])): ?>
					<?php if(class_exists('Gum_Html')) $top_bar_social =  Gum_Html::get_topbar_social_sites(' '); ?>
	                <?php if(!empty($top_bar_social)) :?>
	                    <ul class="social-list">
		                    <?php echo $top_bar_social; ?>
	                    </ul>
					<?php endif; ?>
				<?php endif; ?>
	        </div><!--top-social-->
	    </div>
		<?php
		$return_html=ob_get_contents();
		ob_end_clean();

		return $return_html;
	}
	public static function header_social_links($compare=0){
		global $gumtheme_options;

		$social_compare_var='';
		if($compare == 0){
			$social_compare_var='show_social_icons';
		}
		else if($compare == 1){
			$social_compare_var='show_slidesocial_icons';
		}
		ob_start();
		?>
			<div class="top-social">	                	
				<?php if(!empty($gumtheme_options[$social_compare_var])): ?>
					<?php if(class_exists('Gum_Html')) $top_bar_social =  Gum_Html::get_topbar_social_sites(' '); ?>
	                <?php if(!empty($top_bar_social)) :?>
	                    <ul class="social-list">
		                    <?php echo $top_bar_social; ?>
	                    </ul>
					<?php endif; ?>
				<?php endif; ?>
	        </div><!--top-social-->
		<?php
		$return_html=ob_get_contents();
		ob_end_clean();

		return $return_html;
	}
	public static function header_search_link(){
		global $gumtheme_options;
		ob_start();
		?>
		<div class="gum_search_wrapper" style="display:none;">
			<div class="search_box_close">
				<i class="fa fa-times" aria-hidden="true"></i>
			</div>
			<div class="search_box">
				<form role="search" method="get" class="search-form clearfix" action="<?php echo site_url();?>">
					<input type="search" id="gum-ajax_search" class="ajax_search search-field" placeholder="<?php echo (!empty($gumtheme_translations['header_search_placeholder']))? $gumtheme_translations['header_search_placeholder'] : 'Search...'; ?>" value="" name="s" title="Search for:" autocomplete="off">
					<input type="submit" class="search-submit" value="Search" style="display:none;">
				</form>
			</div><!-- search_box -->
			<div class="search_container"  style="display:none;">

				<div class="gum_search_spinner" style="display:none;"><?php echo Gum_html::spinner_code(); ?></div>
				<div class="search_results"></div>
			</div><!-- search_container -->
		</div><!-- search_wrapper -->
		<?php
		$return_html=ob_get_contents();
		ob_end_clean();

		return $return_html;
	}
	public static function header_logo(){
		global $gumtheme_options;

		$echohtml='';

		$echohtml .="<div class='main-logo-wrapper'>";

		$myhomeUrl=esc_url( home_url( '/' ) );
        $echohtml .="<a href='$myhomeUrl' rel='home'>";	               
		if(!empty($gumtheme_options['default_logo']) && strlen($gumtheme_options['default_logo'])>3)
			$echohtml .="<img src='".$gumtheme_options['default_logo']."' alt='nill' />";		
		else
			$echohtml .=bloginfo( 'name' );		
		
		$echohtml .="</a>";

        $echohtml .="</div><!-- .main-logo-wrapper -->";
		
		echo $echohtml;

	}
	public static function header_banner(){
		global $gumtheme_options, $gumtheme_ads;

		/** Ad - Footer*/
		if(class_exists('GumHelper') && !empty($gumtheme_ads['header']['enable_header_logo_ad'])) GumHelper::show_ad($gumtheme_ads['header']['enable_header_logo_ad'], $gumtheme_ads['header']['header_logo_ad_code'], $args= array('class'=>'gum-banner-header col-sm-8'));

	}
	public static function header_main_nav(){
		global $gumtheme_options, $gumtheme_translations;
		?>

			<div class="main-menu-wrapper">
				<?php 
				if(isset($gumtheme_options['sticky_navbar']) && $gumtheme_options['sticky_navbar'] == 1){

				if(!empty($gumtheme_options['sticky_header_logo']) && strlen($gumtheme_options['sticky_header_logo'])>3){ ?>
					<div class="sticky-nav-logo">
					  <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"> <img src="<?php echo $gumtheme_options['sticky_header_logo'];?>" alt="<?php echo (!empty($gumtheme_options['logo_alt_text']))? $gumtheme_options['logo_alt_text']: bloginfo('title');?>" /></a>

					</div><!-- sticky-nav-logo -->
				<?php 
					}
					else{

						$echohtml='';

						$echohtml .="<div class='no-sticky-logo'>";

						$myhomeUrl=esc_url( home_url( '/' ) );
				        $echohtml .="<a href='$myhomeUrl' rel='home'>";	               
						if(!empty($gumtheme_options['default_logo']) && strlen($gumtheme_options['default_logo'])>3)
							$echohtml .="<img src='".$gumtheme_options['default_logo']."' alt='nill' />";		
						else
							$echohtml .=bloginfo( 'name' );		
						
						$echohtml .="</a>";
				        $echohtml .="</div><!-- .no-sticky-logo -->";						
				        echo $echohtml;
					} 
				}
				?>
				<div class="main-menu-content inner relative">
					<nav id="site-navigation-main" class="main-navigation " itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
						<?php
						if ( has_nav_menu( 'primary' ) ) {
							$arg = array(
								'theme_location'  => 'primary',
								'container_class' => 'menu-top-container',
								'container_id'    => '',
								'menu_class'      => 'sf-menu main-menu',
								'menu_id'         => 'primary-menu',
							);
							if(class_exists('Gum_megamenu_Walker')) $arg['walker'] = new Gum_megamenu_Walker();
							wp_nav_menu( $arg );
						}
						?>
					</nav><!-- site-navigation-main -->
				</div><!--main-menu-content-->
			</div><!--main-menu-wrapper-->


		<?php
	}

	public static function mobile_search(){
		?>
		<div class="gum-res-search pull-right">
			<div class="gum-res-search-trigger-wrapper">
				<a href="#" class="gum-res-search-trigger"><i class="fa fa-search" aria-hidden="true"></i></a>
			</div><!-- gum-res-search-trigger-wrapper -->
			<div id="gum-responsive-sidebar-search" class="gum_res_search_wrapper">
		     	<div class="menu-mobile-search-container">
					<div class="res_search_box">
						<input type="text" name="res_ajax_search" id="gum-ma-search" class="res_ajax_search gum_mob_s"  id="gumsearch" value="" placeholder="<?php echo (!empty($gumtheme_translations['header_search_placeholder']))? $gumtheme_translations['header_search_placeholder'] : 'Search...'; ?>"/><br/>

						</div><!-- search_box -->
					<div class="search_container"  style="display:none;">

								<div class="gum_search_spinner" style="display:none;"><?php echo Gum_html::spinner_code(); ?></div>
								<div class="search_results"></div>
							</div><!-- .search_container -->
				</div><!-- menu-mobile-search-container -->
			</div><!-- #gum-responsive-sidebar-search -->
		</div><!-- .gum-res-search -->

		<?php

	}

	public static function mobile_menu(){
		?>
		<div id="gum-responsive-sidebar-menu">
			<?php
				if ( has_nav_menu( 'mobilemenu' ) ) {
				   $arg = array(
							'theme_location'  => 'mobilemenu',
							'container_class' => 'menu-mobile-menu-container',
							'container_id'    => '',
							'menu_class'      => 'mobilemenu',
							'menu_id'         => 'mobilemenu',
						);

					wp_nav_menu( $arg );
				}
			?>
	    </div><!-- #gum-responsive-sidebar-menu-->
		<?php
	}
	public static function mobile_logo(){
		global $gumtheme_options;
		?>
		<div class="gum-res-logo">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
				<?php if(!empty($gumtheme_options['mobile_logo']) && strlen($gumtheme_options['mobile_logo'])>3): ?>
					<img src="<?php echo $gumtheme_options['mobile_logo'];?>" alt="<?php echo (!empty($gumtheme_options['logo_alt_text']))? $gumtheme_options['logo_alt_text']: bloginfo('title');?>" title="<?php echo (!empty($gumtheme_options['logo_title_text']))? $gumtheme_options['logo_title_text']: '';?>"/>
				<?php else:
						bloginfo('title');
				  	endif;
				?>
			</a>
		</div><!-- gum-res-logo -->

		<?php

	}
	public static function site_footer_info(){

		global $gumtheme_options;

		$html = '';

		$html .= '<div class="site_footer_inner">';
		if(!empty($gumtheme_options['footer_logo_heading'])){
			$html .="<div class='heading-above-logo'><h6>".$gumtheme_options['footer_logo_heading']."</h6></div>";
		}

		if(!empty($gumtheme_options['footer_logo'])){
			$title = (!empty($gumtheme_options['footer_logo_title_text']))? $gumtheme_options['footer_logo_title_text'] : '';
			$alt = (!empty($gumtheme_options['footer_logo_alt_text']))? $gumtheme_options['footer_logo_alt_text'] : '';
			$html .= "<div class='footer_logo_wrapper'><a href='".esc_url( home_url( '/' ) )."' class='footer_logo'><img src='".$gumtheme_options['footer_logo']."' alt='".$alt."' title='".$title."' /></a></div>";
		}
		if(!empty($gumtheme_options['footer_content_text'])) $html .= "<div class='footer_info_content'>".$gumtheme_options['footer_content_text']."</div>";

		if(!empty($gumtheme_options['footer_email'])) $html .= "<div class='footer_info_email'><a href=mailto:".$gumtheme_options['footer_email'].">".$gumtheme_options['footer_email']."</a></div>";
		if(!empty($gumtheme_options['footer_show_social'])){
			$top_bar_social =  Gum_Html::get_topbar_social_sites();
			if(!empty($top_bar_social)) $html .= "<div class='footer_info_social'><ul>".$top_bar_social."</ul></div>";
		}

		$html .= '</div>';

		return $html;
	}
	public static function gum_footer_instagram(){
		 global $gumtheme_options, $gumtheme_socialmedia;
		 if(!empty($gumtheme_options['footer_insta_enable'])):
		 	 if(empty($gumtheme_socialmedia['instagram_access_token'])): gumError("Please add Instagram access token.");
		 	 else:

		 ?>

		  <div class="footer-instagram-widget-wrapper">
		  	<?php /*if(!empty($gumtheme_socialmedia['instagram_username'])): ?>
		  	<h3 class="title"><a href='https://www.instagram.com/<?php echo $gumtheme_socialmedia['instagram_username'];?>/'><i class="fa fa-instagram" aria-hidden="true"></i> <?php echo $gumtheme_socialmedia['instagram_username']; ?></a></h3>
		  	<?php endif; */?>
		  	<div id="footer_instafeed" class="instagram-widget footer-instagram-widget footer-imagee-roow"></div>
		  	<div class="clearfix"></div>
		  </div>
          <script type="text/javascript">
             jQuery(function($){
                 	var feed = new Instafeed({
							target: 'footer_instafeed',
							<?php

							$js_text = '';
							if(empty($gumtheme_options['footer_insta_feed'])) $js_text =  "get: 'user', \n userId: 'self', \n";
							else if($gumtheme_options['footer_insta_feed'] == 'user' )  $js_text =  "get: 'user', \n userId: '". $gumtheme_options['footer_insta_feed_userid']."', \n";
							else if ($gumtheme_options['footer_insta_feed'] == 'tagged') $js_text =  "get: 'tagged', \n userId: '". $gumtheme_options['footer_insta_feed_tagname']."', \n";
							else if ($gumtheme_options['footer_insta_feed'] == 'location') $js_text =  "get: 'tagged', \n userId: '". $gumtheme_options['footer_insta_feed_locationId']."', \n";
							else  $js_text =  "get: 'user', \n userId: 'self', \n";
							echo $js_text;

							?>
							resolution: 'low_resolution',
							sortBy: '<?php echo (!empty($gumtheme_options['footer_insta_sort'])) ? $gumtheme_options['footer_insta_sort'] : 'none'; ?>',
							accessToken: '<?php echo $gumtheme_socialmedia['instagram_access_token']; ?>',
							limit: 6
					 });
					 feed.run();
                });
		</script>


		 <?php
		 	endif;
		endif;
	}
	public static function gum_footer(){
		 global $gumtheme_options, $gumtheme_ads;

		if(empty($gumtheme_options['footer_style'])) $footer_style = 'default';
		 else  $footer_style = $gumtheme_options['footer_style'];
		 $func_siteFooter = "site_footer_".$footer_style;

		 if(GumHelper::enable_footer()): ?>
		 <div class="main-footer-wrapper ">
			 <div class="container">
			 <div id="site-footer" class="site-footer-wrapper row <?php echo (GumHelper::disable_footer_mobile())? 'hidden-xs' : '' ?>" role="contentinfo">					
					
				<?php Gum_theme_html::$func_siteFooter(); ?>
				<div class="clearfix"></div>
			</div><!-- .site-footer-wrapper -->
			</div>
		</div>
		<?php endif; 
	}

	public static function gum_subfooter(){
		global $gumtheme_options, $gumtheme_ads;
		?>
		<?php if(GumHelper::enable_subfooter()): ?>
			<div class="sub-footer-wrapper">
				<div class="container">
				<div class="footer_nav row no-gutters">

					<div class="col-lg-4 copyright">
						<?php echo  (!empty($gumtheme_options['footer_copyright']))? "<p>".$gumtheme_options['footer_copyright']."</p>" : ''; ?>
					</div>
					<div class="col-lg-8 pull-right">
						<?php
							if ( has_nav_menu( 'footer' ) ) {
								$arg = array(
									'theme_location'  => 'footer',
									'container_class' => 'menu-footer',
									'container_id'    => '',
									'menu_class'      => 'sf-menu',
									'menu_id'         => 'footer-menu',
								);

								wp_nav_menu( $arg );
							}
						?>
					</div>					
					</div>
				</div><!-- footer_nav -->

			</div><!-- container-->
		<?php endif; ?>


		<?php

	}
	public static function site_footer_default(){

		global $gumtheme_options;
		?>
		<div class="col-lg-4">
				<?php echo self::site_footer_info(); ?>
			</div><!-- col-sm-4 -->
			<div class="col-lg-4">
				<?php dynamic_sidebar('gumtheme-footer-1'); ?>
			</div><!-- col-sm-4 -->
			<div class="col-lg-4">
				<?php dynamic_sidebar('gumtheme-footer-2'); ?>
			</div><!-- col-sm-4 -->

		<?php

	}
	public static function site_footer_style2(){

		global $gumtheme_options;
		?>
		<div class="col-md-8">
				<?php echo self::site_footer_info(); ?>
			</div><!-- col-sm-4 -->
			<div class="col-md-4">
				<?php dynamic_sidebar('gumtheme-footer-1'); ?>
			</div><!-- col-sm-4 -->

		<?php

	}

	public static function site_footer_style3(){

		global $gumtheme_options;
		?>
			<div class="col-md-4">
				<?php dynamic_sidebar('gumtheme-footer-1'); ?>
			</div><!-- col-sm-4 -->
			<div class="col-md-4">
				<?php dynamic_sidebar('gumtheme-footer-2'); ?>
			</div><!-- col-sm-4 -->
			<div class="col-md-4">
				<?php dynamic_sidebar('gumtheme-footer-3'); ?>
			</div><!-- col-sm-4 -->

		<?php

	}

	public static function site_footer_style4(){

		global $gumtheme_options;
		?>
		<div class="style4">
			<?php echo self::site_footer_info(); ?>
		</div><!-- col-sm-4 -->

		<?php

	}


}
